ros-iron-gazebo-msgs (3.7.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 13 Jun 2022 07:00:00 -0000

ros-iron-gazebo-msgs (3.6.0-3jammy) jammy; urgency=high

  * gazebo_ros_wheel_slip: publish wheel slip (#1331 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1331>)
  * Contributors: Audrow Nash

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 May 2022 07:00:00 -0000

ros-iron-gazebo-msgs (3.5.2-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-iron-gazebo-msgs (3.5.1-3jammy) jammy; urgency=high

  * [ROS 2] Bridge to republish PerformanceMetrics in ROS 2 (#1147 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1147>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 08:00:00 -0000

ros-iron-gazebo-msgs (3.5.0-3jammy) jammy; urgency=high

  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Dashing -> Eloquent
  * 3.3.5
  * Contributors: Jose Luis Rivero, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2020 07:00:00 -0000

ros-iron-gazebo-msgs (3.4.4-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-iron-gazebo-msgs (3.4.3-3jammy) jammy; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Address reviews on #868 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/868> (#972 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/972>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * [ros2] Migration of get/set world, model, joint, link, light properties
    * Trying to pass CI test, try n1.
    * clean up some linter warnings
    * Requested changes in review, unfinished
    * Fix uncrustify
    * Address reviews
    * more tests, joint types
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes to GetModelProperties message
    Document gazebo_ros_properties header
    * Convert msgs pose to math pose and use it on SetCoG
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)
    * [ros2] Port joint pose trajectory to ROS2
    * Add conversion tests
  * Contributors: Louise Poubel, Shivesh Khaitan, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Feb 2020 08:00:00 -0000

ros-iron-gazebo-msgs (3.4.2-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-iron-gazebo-msgs (3.4.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Oct 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.4.0-3jammy) jammy; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Merge pull request #980 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/980> from shiveshkhaitan/forward_port
    [forward_port] dashing -> ros2
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)
  * [ros2] Port apply/clear wrench and effort services (#941 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/941>)
    * Change gazebo_ros_effort to gazebo_ros_force_system. Change usage of body to link
  * Crystal changes for dashing (#933 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/933>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * relative -> reference
  * Contributors: Shivesh Khaitan, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.3.5-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-iron-gazebo-msgs (3.3.4-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.3.3-3jammy) jammy; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Address reviews on #868 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/868> (#972 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/972>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * [ros2] Migration of get/set world, model, joint, link, light properties
    * Trying to pass CI test, try n1.
    * clean up some linter warnings
    * Requested changes in review, unfinished
    * Fix uncrustify
    * Address reviews
    * more tests, joint types
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes to GetModelProperties message
    Document gazebo_ros_properties header
    * Convert msgs pose to math pose and use it on SetCoG
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)
    * [ros2] Port joint pose trajectory to ROS2
    * Add conversion tests
    Minor fixes
  * Contributors: Shivesh Khaitan, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 23 Aug 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.3.2-3jammy) jammy; urgency=high

  * Crystal changes for dashing (#933 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/933>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * relative -> reference
  * Contributors: Shivesh Khaitan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.3.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.3.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 May 2019 07:00:00 -0000

ros-iron-gazebo-msgs (3.1.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-iron-gazebo-msgs (3.0.0-3jammy) jammy; urgency=high

  * [ros2] Port spawn/delete methods   (#808 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/808>)
    * First port of ROS2 of factory method. Still a work in progress
    * Install gazebo_ros_factory
    * Changes proposed by uncrustify
    * Make cpplint happy
    * Remove unneded header
    * fix merge
    * remove ported ROS 1 code
    * SpawnEntity service, initialize after world is created, remove XML strip since it's not needed, simplify Is* functions
    * support robot_namespace inside <plugin><ros><namespace>
    * a bit more tweaks and cleanup
    * Use libsdformat to parse the XML, instead of tinyxml, significantly reducing the code
    * uncrustify
    * port delete services
    * linters
    * spawn and delete tests, must check light test
    * fix spawning lights, compile error for non implemented conversions, linters
  * Fix name of duration field (#800 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/800>)
  * Adding ros1_bridge mapping rules for ODEJointStates message.
    The hiStop and loStop fields in this message were renamed to
    hi_stop and lo_stop to comply with ROS 2 naming rules.
    This prevented the automatic mapping rules in ros1_bridge from
    generating mapping code.
    This change adds a manual mapping to allow the ros1_bridge to
    successfully generate mappings for this message.
  * Merge pull request #770 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/770> from ironmig/ros2-gazebo-dev
    ROS2: Port gazebo_dev to ament package
  * Restore url tags to gazebo_msgs package.xml
  * Merge pull request #769 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/769> from ironmig/ros2-devel
    ROS2: boostrap repo and convert gazebo_msgs
  * Switch rosidl_default_generators to buildtool_depend
  * Converted gazebo_msgs to ros2.
  * Contributors: Carl Delsey, Ernesto Corbellini, Jose Luis Rivero, Kevin Allen, dhood

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-iron-gazebo-msgs (2.8.4-3jammy) jammy; urgency=high

  * Correct documentation on SetModelConfiguration.srv
  * Contributors: Kevin Allen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 06 Jul 2018 07:00:00 -0000

ros-iron-gazebo-msgs (2.8.3-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 07:00:00 -0000

ros-iron-gazebo-msgs (2.8.2-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 May 2018 07:00:00 -0000

ros-iron-gazebo-msgs (2.8.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 05 May 2018 07:00:00 -0000

ros-iron-gazebo-msgs (2.7.4-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 08:00:00 -0000

ros-iron-gazebo-msgs (2.7.3-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 08:00:00 -0000

ros-iron-gazebo-msgs (2.7.2-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 21 May 2017 07:00:00 -0000

ros-iron-gazebo-msgs (2.7.1-3jammy) jammy; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Apr 2017 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.12-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2017 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.11-3jammy) jammy; urgency=high

  * Changed the spawn model methods to spawn also lights. (#511 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/511>)
  * Contributors: Alessandro Ambrosano

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Apr 2017 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.10-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Mar 2017 08:00:00 -0000

ros-iron-gazebo-msgs (2.5.9-3jammy) jammy; urgency=high

  * Removed all trailing whitespace
  * Contributors: Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 Feb 2017 08:00:00 -0000

ros-iron-gazebo-msgs (2.5.8-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Dec 2016 08:00:00 -0000

ros-iron-gazebo-msgs (2.5.7-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.6-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 28 Apr 2016 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.5-3jammy) jammy; urgency=high

  * merge indigo, jade to kinetic-devel
  * Update maintainer for Kinetic release
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.3-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.2-3jammy) jammy; urgency=high

  * merging from indigo-devel
  * 2.4.9
  * Generate changelog
  * GetModelState modification for jade
  * Contributors: John Hsu, Jose Luis Rivero, Markus Bader

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Feb 2016 08:00:00 -0000

ros-iron-gazebo-msgs (2.5.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 16 Aug 2015 07:00:00 -0000

ros-iron-gazebo-msgs (2.5.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.10-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Feb 2016 08:00:00 -0000

ros-iron-gazebo-msgs (2.4.9-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 16 Aug 2015 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.8-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.7-3jammy) jammy; urgency=high

  * Update Gazebo/ROS tutorial URL
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Dec 2014 08:00:00 -0000

ros-iron-gazebo-msgs (2.4.6-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 01 Sep 2014 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.5-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.4-3jammy) jammy; urgency=high

  * Fix repo names in package.xml's
  * Contributors: Jon Binney

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.3-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 May 2014 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.2-3jammy) jammy; urgency=high

  * merging from hydro-devel
  * bump patch version for indigo-devel to 2.4.1
  * merging from indigo-devel after 2.3.4 release
  * "2.4.0"
  * catkin_generate_changelog
  * Contributors: John Hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Mar 2014 07:00:00 -0000

ros-iron-gazebo-msgs (2.4.1-3jammy) jammy; urgency=high

  * rerelease because sdformat became libsdformat, but we also based change on 2.3.4 in hydro-devel.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Nov 2013 08:00:00 -0000

ros-iron-gazebo-msgs (2.4.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.3.5-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Mar 2014 07:00:00 -0000

ros-iron-gazebo-msgs (2.3.4-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Nov 2013 08:00:00 -0000

ros-iron-gazebo-msgs (2.3.3-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Oct 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.3.2-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 19 Sep 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.3.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 27 Aug 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.3.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Aug 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.2.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 29 Jul 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.2.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 29 Jul 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.1.5-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 18 Jul 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.1.4-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 14 Jul 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.1.3-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 13 Jul 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.1.2-3jammy) jammy; urgency=high

  * Cleaned up CMakeLists.txt for all gazebo_ros_pkgs
  * 2.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Jul 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.1.1-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Jul 2013 02:11:00 -0000

ros-iron-gazebo-msgs (2.1.0-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Jun 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.0.2-3jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 20 Jun 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.0.1-3jammy) jammy; urgency=high

  * Incremented version to 2.0.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 19 Jun 2013 07:00:00 -0000

ros-iron-gazebo-msgs (2.0.0-3jammy) jammy; urgency=high

  * Changed version to 2.0.0 based on gazebo_simulator being 1.0.0
  * Updated package.xml files for ros.org documentation purposes
  * Imported from bitbucket.org

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000


